## Getting Started Developing

1) Install Deno

	Run their shell script (note: as yourself, not root)

	```
	curl -fsSL https://deno.land/install.sh | sh
	```

	Or using Nix:

	```
	nix-shell -p deno
	```

2) Clone the repo:

	`git clone https://andyburke.dev/andyburke/autonomous.contact.git`

3) Start the server:

	`deno run task serve`

4) Navigate to http://localhost:8000

## TODO

- [x] sign up
- [x] check for logged in user session
- [x] log in
- [ ] chat rooms
- [ ] chat messages
- [ ] bulletin board instead of exchange/work?
- [ ] post-it style notes with tag and keyword filtering?
- [ ] simple wiki for resources
- [ ] simple calendar with public/private event tracking
- [ ] caldav support?
- [ ] user profile page
- [ ] user profile editing
