import { FSDB_COLLECTION } from 'jsr:@andyburke/fsdb';

export type USER_PERMISSIONS = {
	user_id: string;
	permissions: string[];
	timestamps: {
		created: string;
		updated: string;
	};
};

export const PERMISSIONS_STORE = new FSDB_COLLECTION<USER_PERMISSIONS>({
	name: 'user_permissions',
	id_field: 'user_id'
});
