export const CANNED_RESPONSES: Record<string, () => Response> = {
	permission_denied: (): Response => {
		console.trace('denied');
		return Response.json({
			error: {
				message: 'Permission denied.',
				cause: 'permission_denied'
			}
		}, {
			status: 400
		});
	}
};
